apiVersion: org.eclipse.che/v1
kind: CheCluster
metadata:
  creationTimestamp: '2021-12-13T18:40:41Z'
  finalizers:
    - openshift-oauth-user.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
  generation: 3
  managedFields:
    - apiVersion: org.eclipse.che/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:auth':
            .: {}
            'f:externalIdentityProvider': {}
            'f:initialOpenShiftOAuthUser': {}
          'f:database':
            .: {}
            'f:externalDb': {}
          'f:metrics':
            .: {}
            'f:enable': {}
          'f:server':
            .: {}
            'f:allowUserDefinedWorkspaceNamespaces': {}
            'f:cheFlavor': {}
            'f:customCheProperties':
              .: {}
              'f:CHE_INFRA_KUBERNETES_WORKSPACE_START_TIMEOUT_MIN': {}
              'f:CHE_INFRA_KUBERNETES_WORKSPACE__UNRECOVERABLE__EVENTS': {}
              'f:CHE_LIMITS_USER_WORKSPACES_RUN_COUNT': {}
              'f:CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT': {}
            'f:gitSelfSignedCert': {}
            'f:tlsSupport': {}
            'f:workspaceNamespaceDefault': {}
          'f:storage':
            .: {}
            'f:preCreateSubPaths': {}
            'f:pvcClaimSize': {}
            'f:pvcStrategy': {}
      manager: Mozilla
      operation: Update
      time: '2021-12-13T18:40:41Z'
    - apiVersion: org.eclipse.che/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"oauthclients.finalizers.che.eclipse.org"': {}
            'v:"openshift-oauth-user.finalizers.che.eclipse.org"': {}
        'f:spec':
          'f:auth':
            'f:identityProviderContainerResources':
              .: {}
              'f:limits': {}
              'f:request': {}
            'f:identityProviderIngress': {}
            'f:identityProviderRoute': {}
            'f:openShiftoAuth': {}
            'f:updateAdminPassword': {}
          'f:database':
            'f:chePostgresContainerResources':
              .: {}
              'f:limits': {}
              'f:request': {}
          'f:devWorkspace':
            .: {}
            'f:enable': {}
          'f:imagePuller':
            .: {}
            'f:enable': {}
            'f:spec': {}
          'f:k8s': {}
          'f:server':
            'f:selfSignedCert': {}
            'f:pluginRegistryRoute': {}
            'f:cheServerIngress': {}
            'f:dashboardRoute': {}
            'f:externalDevfileRegistry': {}
            'f:externalPluginRegistry': {}
            'f:devfileRegistryRoute': {}
            'f:pluginRegistryIngress': {}
            'f:useInternalClusterSVCNames': {}
            'f:dashboardIngress': {}
            'f:cheServerRoute': {}
            'f:devfileRegistryIngress': {}
        'f:status':
          'f:openShiftoAuthProvisioned': {}
          'f:dbProvisioned': {}
          'f:cheURL': {}
          'f:devworkspaceStatus':
            .: {}
            'f:message': {}
            'f:phase': {}
          'f:keycloakURL': {}
          'f:pluginRegistryURL': {}
          'f:cheVersion': {}
          .: {}
          'f:openShiftOAuthUserCredentialsSecret': {}
          'f:keycloakProvisioned': {}
          'f:cheClusterRunning': {}
          'f:gitHubOAuthProvisioned': {}
          'f:devfileRegistryURL': {}
      manager: manager
      operation: Update
      time: '2021-12-13T18:40:48Z'
  name: codeready-workspaces
  namespace: crw-crwctl
  resourceVersion: '54006'
  uid: 4c19fcf7-6089-4c18-b0f2-cb94d8b09815
spec:
  auth:
    externalIdentityProvider: false
    identityProviderContainerResources:
      limits: {}
      request: {}
    identityProviderIngress: {}
    identityProviderRoute: {}
    initialOpenShiftOAuthUser: true
    openShiftoAuth: true
    updateAdminPassword: false
  database:
    chePostgresContainerResources:
      limits: {}
      request: {}
    externalDb: false
  devWorkspace:
    enable: false
  imagePuller:
    enable: false
    spec: {}
  k8s: {}
  metrics:
    enable: true
  server:
    dashboardIngress: {}
    customCheProperties:
      CHE_INFRA_KUBERNETES_WORKSPACE_START_TIMEOUT_MIN: '10'
      CHE_INFRA_KUBERNETES_WORKSPACE__UNRECOVERABLE__EVENTS: 'Failed Scheduling,Failed to pull image'
      CHE_LIMITS_USER_WORKSPACES_RUN_COUNT: '-1'
      CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT: '900000'
    externalDevfileRegistry: false
    pluginRegistryIngress: {}
    cheServerRoute: {}
    devfileRegistryIngress: {}
    selfSignedCert: false
    cheServerIngress: {}
    tlsSupport: true
    dashboardRoute: {}
    allowUserDefinedWorkspaceNamespaces: false
    pluginRegistryRoute: {}
    devfileRegistryRoute: {}
    externalPluginRegistry: false
    workspaceNamespaceDefault: <username>-codeready
    gitSelfSignedCert: false
    useInternalClusterSVCNames: false
    cheFlavor: codeready
  storage:
    preCreateSubPaths: true
    pvcClaimSize: 2Gi
    pvcStrategy: per-workspace
status:
  gitHubOAuthProvisioned: false
  devfileRegistryURL: ''
  openShiftOAuthUserCredentialsSecret: openshift-oauth-user-credentials
  keycloakProvisioned: false
  cheClusterRunning: ''
  cheURL: ''
  devworkspaceStatus:
    message: DevWorkspace CRDs are not installed
    phase: Inactive
  openShiftoAuthProvisioned: false
  dbProvisioned: false
  cheVersion: ''
  keycloakURL: ''
  pluginRegistryURL: ''
